import { defineStore } from 'pinia'
import { ref } from 'vue'

export const useGlobalStore = defineStore(
  'global',
  () => {
    const publishState = ref<boolean>(false)
    const setPublishState = (state: boolean) => {
      publishState.value = state
    }
    return {
      publishState,
      setPublishState,
    }
  },
  {
    persist: true,
  },
)
